LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPrintableBroadcaster Interface Referencepublished

allows for getting information about a print job. More...

`import"XPrintableBroadcaster.idl";`

Inheritance diagram for XPrintableBroadcaster:

## Public Member Functions
void | addPrintableListener ([in] XPrintableListener xListener)
| adds an XPrintableListener to be notified about print progress. More...
void | removePrintableListener ([in] XPrintableListener xListener)
| removes an XPrintableListener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows for getting information about a print job.

XPrintableBroadcaster can be implemented by classes which implement XPrintable. It allows a XPrintableListener to be registered, thus a client object will learn about the print progress.

See also
  XPrintableListener

## Member Function Documentation

## ◆ addPrintableListener()

void addPrintableListener | ( | [in] XPrintableListener | xListener | ) |

adds an XPrintableListener to be notified about print progress.

## ◆ removePrintableListener()

void removePrintableListener | ( | [in] XPrintableListener | xListener | ) |

removes an XPrintableListener.

The documentation for this interface was generated from the following file:

- com/sun/star/view/XPrintableBroadcaster.idl